cc.Class({
    extends: cc.Component,

    properties: {
        _sprite: cc.Node,
        _index: 0,
    },

    // use this for initialization
    onLoad: function () {
        this._sprite3 = this.node.getChildByName('background').getChildByName('Sprite3');

        this.instantiateHero();
    },

    instantiateHero: function () {                                            
        var self = this;
        cc.loader.loadRes("prefabs/TSDragonBones", function (err, prefab) {     
            if (err) {                                                          
                cc.error("load prefabs/TSDragonBones error:" + err);            
                return;                                                         
            }                                                                   
            var node = cc.instantiate(prefab);                            
            self.loadDragonBones(
                node,
                'dragon_bones/hero',
                'HalfSide',
                'Stand',
                function () {
                    self._sprite3.addChild(node);
                    node.scale = 0.6;
                }
            );
        });                                                                     
    },                         

    loadDragonBones (node, resUrl, armatureName, anim, cb) {                  
        cc.loader.loadResDir(resUrl, function (err, assets) {                          
            if (err) {                                                                 
                cc.error("load res err:" + err);                                       
                return;                                                                
            }                                                                          
            var armature = node.getComponent(dragonBones.ArmatureDisplay);             
            if (armature === null) {                                                   
                armature = node.addComponent(dragonBones.ArmatureDisplay);             
            }                                                                          
            //FIXME
            armature._factory.clear(true);
            for (var i in assets) {                                                    
                if (assets[i] instanceof dragonBones.DragonBonesAsset) {               
                    armature.dragonAsset = assets[i];                                  
                }                                                                      
                if (assets[i] instanceof dragonBones.DragonBonesAtlasAsset) {          
                    armature.dragonAtlasAsset = assets[i];                             
                }                                                                   
            }                                                                       
            armature.armatureName = armatureName;                                   
            armature.playAnimation(anim, -1);                                       
            if (cb) {
                cb();
            }
        });                                                                         
    },                                         

    // called every frame
    update: function (dt) {

    },
   
});
