"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        _sprite: cc.Node,
        _index: 0
    },

    // use this for initialization
    onLoad: function onLoad() {
        this._sprite3 = this.node.getChildByName('background').getChildByName('Sprite3');

        this.instantiateHero();
    },

    instantiateHero: function instantiateHero() {
        var self = this;
        cc.loader.loadRes("prefabs/TSDragonBones", function (err, prefab) {
            if (err) {
                cc.error("load prefabs/TSDragonBones error:" + err);
                return;
            }
            var node = cc.instantiate(prefab);
            self.loadDragonBones(node, 'dragon_bones/hero', 'HalfSide', 'Stand', function () {
                self._sprite3.addChild(node);
                node.scale = 0.6;
            });
        });
    },

    loadDragonBones: function loadDragonBones(node, resUrl, armatureName, anim, cb) {
        cc.loader.loadResDir(resUrl, function (err, assets) {
            if (err) {
                cc.error("load res err:" + err);
                return;
            }
            var armature = node.getComponent(dragonBones.ArmatureDisplay);
            if (armature === null) {
                armature = node.addComponent(dragonBones.ArmatureDisplay);
            }
            for (var i in assets) {
                if (assets[i] instanceof dragonBones.DragonBonesAsset) {
                    armature.dragonAsset = assets[i];
                }
                if (assets[i] instanceof dragonBones.DragonBonesAtlasAsset) {
                    armature.dragonAtlasAsset = assets[i];
                }
            }
            armature._factory.clear(true);
            armature.armatureName = armatureName;
            armature.playAnimation(anim, -1);
            if (cb) {
                cb();
            }
        });
    },


    // called every frame
    update: function update(dt) {}

});

cc._RF.pop();